# These commands run every tick!

## Attribute Application Loops
scoreboard players set @e[scores={detection_loop=0}] detection_loop 60
scoreboard players remove @e[scores={detection_loop=1..}] detection_loop 1

execute if entity @s[scores={detection_loop=4}] run function enhanced_jewelry:loops/speed_loop
execute if entity @s[scores={detection_loop=8}] run function enhanced_jewelry:loops/jump_boost_loop
execute if entity @s[scores={detection_loop=13}] run function enhanced_jewelry:loops/poison_loop
execute if entity @s[scores={detection_loop=17}] run function enhanced_jewelry:loops/night_vision_loop
execute if entity @s[scores={detection_loop=21}] run function enhanced_jewelry:loops/health_loop
execute if entity @s[scores={detection_loop=25}] run function enhanced_jewelry:loops/fire_resistance_loop
execute if entity @s[scores={detection_loop=29}] run function enhanced_jewelry:loops/attack_loop
execute if entity @s[scores={detection_loop=34}] run function enhanced_jewelry:loops/cloak_loop
execute if entity @s[scores={detection_loop=38}] run function enhanced_jewelry:loops/dolphins_grace_loop
execute if entity @s[scores={detection_loop=42}] run function enhanced_jewelry:loops/stun_loop
execute if entity @s[scores={detection_loop=46}] run function enhanced_jewelry:loops/resistance_loop
execute if entity @s[scores={detection_loop=50}] run function enhanced_jewelry:loops/lightning_loop
execute if entity @s[scores={detection_loop=55}] run function enhanced_jewelry:loops/climb_loop
execute if entity @s[scores={detection_loop=59}] run function enhanced_jewelry:loops/water_breathing_loop


## ATTRIBUTES
#Shift Detection
execute as @s[scores={shift=1..}] run function enhanced_jewelry:shift

#quartz
effect give @s[scores={jump_boost_jewelry=1}] jump_boost 2 0 true
effect give @s[scores={jump_boost_jewelry=2}] jump_boost 2 1 true
effect give @s[scores={jump_boost_jewelry=3}] jump_boost 2 2 true

#emerald
execute at @s[scores={hit=1..,poison_jewelry=1}] run effect give @e[nbt={HurtTime:10s},distance=..8,limit=1,sort=nearest] minecraft:wither 3 1 false
execute at @s[scores={hit=1..,poison_jewelry=2}] run effect give @e[nbt={HurtTime:10s},distance=..8,limit=1,sort=nearest] minecraft:wither 6 1 false
execute at @s[scores={hit=1..,poison_jewelry=3}] run effect give @e[nbt={HurtTime:10s},distance=..8,limit=1,sort=nearest] minecraft:wither 9 1 false

#topaz
execute at @s[scores={hit=1..,lightning_jewelry=1}] at @e[nbt={HurtTime:10s},distance=..8,limit=1,sort=nearest] as @s run playsound minecraft:zap_eh player @a ~ ~ ~ 3 0.7
execute at @s[scores={hit=1..,lightning_jewelry=1}] run effect give @e[nbt=!{HurtTime:10s},distance=..4,limit=1,sort=nearest,type=#enhanced_jewelry:mob] instant_damage 1 0 true
execute at @s[scores={hit=1..,lightning_jewelry=1}] run effect give @e[nbt=!{HurtTime:10s},distance=..4,limit=1,sort=nearest,type=#enhanced_jewelry:undead] instant_health 1 0 true
execute at @s[scores={hit=1..,lightning_jewelry=1}] at @e[nbt={HurtTime:10s},distance=..8,limit=1,sort=nearest] as @s run particle electric_spark ~ ~ ~ 0.5 0.5 0.5 0.1 20 normal

execute at @s[scores={hit=1..,lightning_jewelry=2}] at @e[nbt={HurtTime:10s},distance=..8,limit=1,sort=nearest] as @s run playsound minecraft:zap_eh player @a ~ ~ ~ 3 0.7
execute at @s[scores={hit=1..,lightning_jewelry=2}] run effect give @e[nbt=!{HurtTime:10s},distance=..4,limit=3,sort=nearest,type=#enhanced_jewelry:mob] instant_damage 1 0 true
execute at @s[scores={hit=1..,lightning_jewelry=2}] run effect give @e[nbt=!{HurtTime:10s},distance=..4,limit=3,sort=nearest,type=#enhanced_jewelry:undead] instant_health 1 0 true
execute at @s[scores={hit=1..,lightning_jewelry=2}] at @e[nbt={HurtTime:10s},distance=..8,limit=1,sort=nearest] as @s run particle electric_spark ~ ~ ~ 0.5 0.5 0.5 0.1 20 normal

execute at @s[scores={hit=1..,lightning_jewelry=3}] at @e[nbt={HurtTime:10s},distance=..8,limit=1,sort=nearest] as @s run playsound minecraft:zap_eh player @a ~ ~ ~ 3 0.7
execute at @s[scores={hit=1..,lightning_jewelry=3}] run effect give @e[nbt=!{HurtTime:10s},distance=..4,limit=4,sort=nearest,type=#enhanced_jewelry:mob] instant_damage 1 0 true
execute at @s[scores={hit=1..,lightning_jewelry=3}] run effect give @e[nbt=!{HurtTime:10s},distance=..4,limit=4,sort=nearest,type=#enhanced_jewelry:undead] instant_health 1 0 true
execute at @s[scores={hit=1..,lightning_jewelry=3}] at @e[nbt={HurtTime:10s},distance=..8,limit=1,sort=nearest] as @s run particle electric_spark ~ ~ ~ 0.5 0.5 0.5 0.1 20 normal

#sapphire
execute if block ~ ~1 ~ #enhanced_jewelry:is_water run execute if score @s water >= water water run scoreboard players remove @s water 1
execute unless block ~ ~1 ~ #enhanced_jewelry:is_water run scoreboard players set @s water 2

effect give @s[scores={water=1,water_breathing_jewelry=1}] water_breathing 5 0 true
effect give @s[scores={water=1,water_breathing_jewelry=2}] water_breathing 10 0 true
effect give @s[scores={water=1,water_breathing_jewelry=3}] water_breathing 15 0 true
effect give @s[scores={water=1,water_breathing_jewelry=4}] water_breathing 20 0 true

#pearl
effect give @s[scores={dolphins_grace_jewelry=1}] dolphins_grace 2 0 true

#resistance
effect give @s[scores={resistance_jewelry=1}] resistance 2 0 true

#night vision
effect give @s[scores={night_vision_jewelry=1}] night_vision 12 0 true

#fire resistance
effect give @s[scores={fire_resistance_jewelry=1}] fire_resistance 2 0 true

#stun
execute at @s[scores={hit=1..,stun_jewelry=1}] run effect give @e[nbt={HurtTime:10s},distance=..8,limit=1,sort=nearest] minecraft:slowness 3 1 false
execute at @s[scores={hit=1..,stun_jewelry=1}] run effect give @e[nbt={HurtTime:10s},distance=..8,limit=1,sort=nearest] minecraft:nausea 3 1 false

execute at @s[scores={hit=1..,stun_jewelry=2}] run effect give @e[nbt={HurtTime:10s},distance=..8,limit=1,sort=nearest] minecraft:slowness 6 1 false
execute at @s[scores={hit=1..,stun_jewelry=2}] run effect give @e[nbt={HurtTime:10s},distance=..8,limit=1,sort=nearest] minecraft:nausea 6 1 false

execute at @s[scores={hit=1..,stun_jewelry=3}] run effect give @e[nbt={HurtTime:10s},distance=..8,limit=1,sort=nearest] minecraft:slowness 6 1 false
execute at @s[scores={hit=1..,stun_jewelry=3}] run effect give @e[nbt={HurtTime:10s},distance=..8,limit=1,sort=nearest] minecraft:nausea 6 1 false









